> For the complete documentation index, see [llms.txt](https://benpaydex.gitbook.io/benpay-dev-center/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://benpaydex.gitbook.io/benpay-dev-center/rest-api/api-error-codes.md).

# API Error Codes

### Error Response Format：

```
{
  "success": false,
  "data": null,
  "error": "HEADER_INVALID",
  "errorField": "API-TIMESTAMP",
  "errorMessage": "Header API-TIMESTAMP is not accurate."
}
```

**Error Code Summary**

<table><thead><tr><th width="327.17578125">errorCode</th><th width="474.50390625">errorMessage</th></tr></thead><tbody><tr><td>PARAMETER_INVALID</td><td>Parameter error: the request parameter is invalid. </td></tr><tr><td>SIGNATURE_INVALID</td><td>Signature error: the signature is invalid. </td></tr><tr><td>SIGNATURE_EXPIRED</td><td>Signature error: the signature is expired. </td></tr><tr><td>HEADER_INVALID</td><td>Header error: the request header is invalid. </td></tr><tr><td>AUTH_AUTHORIZATION_INVALID</td><td>Authenticate error: Authorization header is invalid. </td></tr><tr><td>AUTH_AUTHORIZATION_EXPIRED</td><td>Authenticate error: Authorization header is expired. </td></tr><tr><td>AUTH_APIKEY_INVALID</td><td>Authenticate error: API key is invalid. </td></tr><tr><td>AUTHORIZATION_INVALID</td><td>Authorization error: Authorization is invalid.</td></tr><tr><td>AUTH_APIKEY_DISABLED</td><td>Authenticate error: API key is disabled. </td></tr><tr><td>AUTH_IP_FORBIDDEN</td><td>Authenticate error: IP forbidden. </td></tr><tr><td>AUTH_GA_INVALID</td><td>Authenticate error: GA is invalid. </td></tr><tr><td>AUTH_SIGNATURE_INVALID</td><td>Authenticate error: API signature is invalid. </td></tr><tr><td>AUTH_USER_FORBIDDEN</td><td>Authenticate error: user forbidden to access the resource. </td></tr><tr><td>AUTH_ACCOUNT_FORBIDDEN</td><td>Authenticate error: user with current account forbidden to access the specified account. </td></tr><tr><td>AUTH_USER_NOT_ACTIVE</td><td>Authenticate error: user not active. </td></tr><tr><td>AUTH_SIGNIN_REQUIRED</td><td>Authenticate error: please signin first. </td></tr><tr><td>AUTH_SIGNIN_FAILED </td><td>Authenticate error: signin failed. </td></tr><tr><td>ACCOUNT_NO_ENOUGH_BALANCE </td><td>Account error: no enough balance. </td></tr><tr><td>ACCOUNT_NO_ENOUGH_AVAILABLE</td><td>Account error: no enough available. </td></tr><tr><td>ACCOUNT_NO_ENOUGH_MARGIN</td><td>Account error: no enough margin. </td></tr><tr><td>ACCOUNT_TRANSFER_FAILED</td><td>Account error: transfer failed. </td></tr><tr><td>ACCOUNT_FREEZE_FAILED</td><td>Account error: freeze failed. </td></tr><tr><td>ACCOUNT_UNFREEZE_FAILED</td><td>Account error: unfreeze failed. </td></tr><tr><td>TRANSFER_NOT_FOUND</td><td>Transfer error: transfer not found. </td></tr><tr><td>USER_NOT_FOUND</td><td>User error: user not found. </td></tr><tr><td>USER_HAS_NO_PERMISSION</td><td>Permission error: user has no permission. </td></tr><tr><td>USER_CANNOT_SIGNIN</td><td>Permission error: user cannot signin. </td></tr><tr><td>USER_BLOCKED</td><td>Permission error: user is blocked. </td></tr><tr><td>USER_CANNOT_TRANSFER</td><td>Permission error: user cannot transfer. </td></tr><tr><td>USER_CANNOT_TRADE</td><td>Permission error: user cannot trade. </td></tr><tr><td>USER_CANNOT_WITHDRAW</td><td>Permission error: user cannot withdraw. </td></tr><tr><td>USER_EMAIL_EXIST</td><td>Registration error: user email already exist. </td></tr><tr><td>POSITION_NOT_INIT</td><td>Position error: the specific position not initialized. </td></tr><tr><td>POSITION_NOT_FOUND</td><td>Position error: the specific position not found. </td></tr><tr><td>POSITION_CHANGE_FAILED</td><td>Position error: the change of specific position is failed. </td></tr><tr><td>POSITION_MARGIN_CANNOT_REMOVE</td><td>Position error: cannot remove position margin. </td></tr><tr><td>ORDER_NOT_FOUND</td><td>Order error: the specific order not found. </td></tr><tr><td>ORDER_INVALID</td><td>Order error: the specific order is invalid. </td></tr><tr><td>ORDER_EXCEEDED</td><td>Order error: order exceeds the maximum active limit. </td></tr><tr><td>INDEX_VALUE_NOT_FOUND</td><td>Index error: the specific index value not found. </td></tr><tr><td>PRICE_EXCEEDED</td><td>Order error: limit price exceeded than maximum allowed. </td></tr><tr><td>MARKET_NOT_READY</td><td>Market error: Fair prices are not fetched. </td></tr><tr><td>DEPOSIT_FAILED</td><td>Deposit error: the deposit cannot be done because errors. </td></tr><tr><td>DEPOSIT_DISABLED</td><td>Deposit is disabled. </td></tr><tr><td>DEPOSIT_CANCEL</td><td>Deposit error: the deposit was cancelled because blockchain forks. </td></tr><tr><td>RETRY_LATER</td><td>This operation cannot be done but can retry later. </td></tr><tr><td>ADDRESS_INVALID</td><td>Invalid address. </td></tr><tr><td>ADDRESS_CHECK_FAILED</td><td>Address failed to check. </td></tr><tr><td>ADDRESS_NOT_ALLOWED</td><td>Address is not allowed. </td></tr><tr><td>ADDRESS_MAXIMUM</td><td>Cannot add more address. </td></tr><tr><td>ADDRESS_DUPLICATE</td><td>Duplicate address.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://benpaydex.gitbook.io/benpay-dev-center/rest-api/api-error-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
